OperatorReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор оператора
      example: 1
    created_at:
      type: string
      format: date-time
      description: Время создания оператора
      example: "2021-01-15T14:55:35.000000Z"
    updated_at:
      type: string
      format: date-time
      description: Время обновления оператора
      example: "2021-01-15T14:55:35.000000Z"
  required:
    - id
    - created_at
    - updated_at

OperatorFillableProperties:
  type: object
  properties:
    seller_id:
      type: integer
      description: ID продавца
      example: 2
    user_id:
      type: integer
      description: ID пользователя
      example: 12
    is_receive_sms:
      type: boolean
      description: Получатель смс
      nullable: true
      example: true
    is_main:
      type: boolean
      description: Главное контактное лицо продавца
      nullable: true
      example: true

OperatorFillableRequiredProperties:
  required:
    - seller_id
    - user_id
    - is_receive_sms
    - is_main

OperatorIncludes:
  type: object
  properties:
    seller:
      $ref: '../../sellers/schemas/sellers.yaml#/Seller'

Operator:
  allOf:
    - $ref: '#/OperatorReadonlyProperties'
    - $ref: '#/OperatorFillableProperties'
    - $ref: '#/OperatorFillableRequiredProperties'
    - $ref: '#/OperatorIncludes'

CreateOperatorRequest:
  allOf:
    - $ref: '#/OperatorFillableProperties'
    - $ref: '#/OperatorFillableRequiredProperties'

PatchOperatorRequest:
  allOf:
    - $ref: '#/OperatorFillableProperties'

SearchOperatorsRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      type: object
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

OperatorResponse:
  type: object
  properties:
    data:
      $ref: '#/Operator'
    meta:
      type: object
  required:
      - data

SearchOperatorsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Operator'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
      - data
      - meta
